Name: xylib
Summary: Library for reading x-y data from several file formats
Version: 0.8
Release: 3%{?dist}
License: LGPLv2
Group: Development/Libraries
Url: http://xylib.sourceforge.net/
Source0: http://downloads.sourceforge.net/xylib/%{name}-%{version}.tar.bz2
BuildRequires: gcc-c++, boost-devel, zlib-devel, bzip2-devel
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
C++ library for reading files that contain x-y data from powder diffraction, 
spectroscopy or other experimental methods. The supported formats include:
VAMAS, pdCIF, Bruker UXD and RAW, Philips UDF and RD, Rigaku DAT, 
Sietronics CPI, DBWS/DMPLOT, Koalariet XDD and others.

%package devel
Summary: Development files for xylib
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: boost-devel

%description devel
Files needed for developing apps using xylib.
xylib is a C++ library for reading files that contain x-y data from 
powder diffraction, spectroscopy or other experimental methods.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root,-)
%doc README COPYING TODO sample-urls
%{_libdir}/libxy.so.*
%{_bindir}/xyconv
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/xylib/
%{_libdir}/libxy.so

%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-3
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 15 2011 Marcin Wojdyr <wojdyr@gmail.com> - 0.8-1
- updated to 0.8

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 11 2010 Marcin Wojdyr <wojdyr@gmail.com> - 0.7-1
- updated to 0.7
- changed URL and Source0
- added zlib-devel and bzip2-devel to BuildRequires
- removed manual installation of xyconv, it is installed by make install now
- added man page and sample-urls to files

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Marcin Wojdyr <wojdyr@gmail.com> - 0.4-4
- added "Requires: boost-devel" to -devel package

* Mon Jul 06 2009 Marcin Wojdyr <wojdyr@gmail.com> - 0.4-3
- install xyconv manually instead of changing Makefile.am

* Fri Jun 26 2009 Marcin Wojdyr <wojdyr@gmail.com> - 0.4-2
- add INSTALL="install -p"
- change Makefile.am instead of calling libtool manually
- use SMP make flags
- replace %%defattr(-,root,root) with %%defattr(-,root,root,-)
- use a more recommended version of the BuildRoot tag

* Sat Jun 13 2009 Marcin Wojdyr <wojdyr@gmail.com> - 0.4-1
- Initial build

